Last Comment Bug 699636 - Highlighter sidebar resizes to follow the highlighter box
: Highlighter sidebar resizes to follow the highlighter box
Status: VERIFIED FIXED
[fixed-in-fx-team][testday-20111125]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: 10 Branch
: x86 Mac OS X
: P1 normal (vote)
: Firefox 10
Assigned To: Rob Campbell [:rc] (:robcee)
:
: J. Ryan Stinnett [:jryans] (use ni?)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 16:34 PDT by Dave Camp (:dcamp)
Modified: 2011-11-25 05:32 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
keyfix (1.40 KB, patch)
2011-11-05 09:52 PDT, Rob Campbell [:rc] (:robcee)
no flags Details | Diff | Splinter Review
resize fix (740 bytes, patch)
2011-11-05 10:06 PDT, Rob Campbell [:rc] (:robcee)
gavin.sharp: review+
Details | Diff | Splinter Review

Description Dave Camp (:dcamp) 2011-11-03 16:34:01 PDT
1) Highlight an element
2) Open the style sidebar
2) Switch the highlighted element with the breadcrumb display

The style sidebar resizes itself to follow the highlighted element.

Manually resizing the splitter stops the unwanted resizing.
Comment 1 Rob Campbell [:rc] (:robcee) 2011-11-04 09:00:14 PDT
I can't seem to reproduce this on nightly this morning. Any particular websites where this is happening?
Comment 2 Dave Camp (:dcamp) 2011-11-04 09:03:20 PDT
mozilla.org, I highlight div#header, then use the breadcrumbs to get to its first child (h1.unitPng).
Comment 3 Rob Campbell [:rc] (:robcee) 2011-11-04 09:29:13 PDT
ok, I can reproduce it, but had to restart my browser to do it.

Another weird side-effect is that there appears to be a transition in effect during the resize.
Comment 4 Rob Campbell [:rc] (:robcee) 2011-11-05 09:52:37 PDT
Created attachment 572209 [details] [diff] [review]
keyfix

first pass at a fix. Seems to do the job, but needs tests.
Comment 5 Rob Campbell [:rc] (:robcee) 2011-11-05 09:54:13 PDT
Comment on attachment 572209 [details] [diff] [review]
keyfix

grr. wrong bug.
Comment 6 Rob Campbell [:rc] (:robcee) 2011-11-05 10:06:54 PDT
Created attachment 572211 [details] [diff] [review]
resize fix
Comment 7 Rob Campbell [:rc] (:robcee) 2011-11-05 10:42:10 PDT
https://hg.mozilla.org/integration/fx-team/rev/1b5cfca36f7b
Comment 8 Rob Campbell [:rc] (:robcee) 2011-11-06 04:53:03 PST
https://hg.mozilla.org/mozilla-central/rev/1b5cfca36f7b
Comment 9 Teodosia Pop 2011-11-25 05:29:08 PST
Verified fixed using
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0a2) Gecko/20111124 Firefox/10.0a2
and
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a2) Gecko/20111123 Firefox/10.0a2

Note You need to log in before you can comment on or make changes to this bug.